Skip to content

Generate payment link

POST/bookings/{id}/generate-payment-link

Auth: X-API-Key headerhttps://warpdrive.staging.transferz.com/partners

Generates a payment link for a previously generated booking

Creates a payment page for the booking, hosted by Transferz, that you can send or redirect the booker to. Transferz is the merchant. Optionally pass the locale of the payment page and a returnUrl for after payment. Not available for net-price (mark-up) accounts. When the booker has paid, the journeys move from NOT_PAID to PENDING.

Guide: Pay for a booking

Path parameters

  • idinteger · int64required

    The id of the booking for which to generate a payment link

Headers

  • X-Request-IDstring

    The optional (ideally unique) request identifier used for later analysis or diagnostics

Request body

application/json

  • localestring

    Language of the payment page, for example nl.

  • returnUrlstring

    Where the booker returns to after paying.

Responses

OK

  • urlstring

    The payment page to send the booker to.

  • expiresAtstring · date-time

    The link stops working after this time.

Errors this endpoint can return

  • When: The booking belongs to another partner.

    What to do: Check that the id belongs to your company and that you use the key of the right user. Ask Transferz to check the account's permissions if the id is correct.

Certification case

Certification case

Guide